"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.propTypes = exports.allowedProps = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _FormPropTypes = require("@instructure/ui-form-field/lib/FormPropTypes.js");
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

const propTypes = exports.propTypes = {
  renderLabel: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.func]).isRequired,
  id: _propTypes.default.string,
  interaction: _propTypes.default.oneOf(['enabled', 'disabled', 'readonly']),
  messages: _propTypes.default.arrayOf(_FormPropTypes.FormPropTypes.message),
  placeholder: _propTypes.default.string,
  isRequired: _propTypes.default.bool,
  showArrows: _propTypes.default.bool,
  size: _propTypes.default.oneOf(['medium', 'large']),
  value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  width: _propTypes.default.string,
  display: _propTypes.default.oneOf(['inline-block', 'block']),
  inputRef: _propTypes.default.func,
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  onChange: _propTypes.default.func,
  onDecrement: _propTypes.default.func,
  onIncrement: _propTypes.default.func,
  onKeyDown: _propTypes.default.func,
  inputMode: _propTypes.default.oneOf(['numeric', 'decimal', 'tel']),
  textAlign: _propTypes.default.oneOf(['start', 'center']),
  allowStringValue: _propTypes.default.bool,
  renderIcons: _propTypes.default.shape({
    increase: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.func]).isRequired,
    decrease: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.func]).isRequired
  }),
  margin: _propTypes.default.string
};
const allowedProps = exports.allowedProps = ['renderLabel', 'id', 'interaction', 'messages', 'placeholder', 'isRequired', 'showArrows', 'size', 'value', 'width', 'display', 'inputRef', 'onFocus', 'onBlur', 'onChange', 'onDecrement', 'onIncrement', 'onKeyDown', 'inputMode', 'textAlign', 'allowStringValue', 'renderIcons', 'margin'];